local Support = {}
Support.usage = SpeedyActionsLocals["Handles loading BindPad keys into Speedy Actions, not necessary 100% of the time but you will have less issues if you keep this enabled."]
SpeedyActions.supportModules["Bindpad"] = Support

local _G = getfenv(0)

-- All of these addons use odd delays on initializing things :<
-- BindPad doesn't initialize any of it's DB until PLAYER_LOGIN, so wait until then to grab the keys it bound
function Support:BindingsUpdated()
	hooksecurefunc(BindPadCore, "InitBindPad", function()
		if( BindPadCore.character ) then
			for _, key in pairs(BindPadCore.GetProfileData().keys) do
				SpeedyActions:RegisterOverrideKey(key)
			end
			
			if( SpeedyActions.foundNewKey ) then
				SpeedyActions:UPDATE_BINDINGS()
			end
		end
	end)
end
